| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | List of all members
NCVMatrixAlloc< T > Class Template Reference
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Legacy support

`#include "NCV.hpp"`

Inheritance diagram for NCVMatrixAlloc< T >:

## Public Member Functions
| NCVMatrixAlloc (INCVMemAllocator &allocator_, Ncv32u width_, Ncv32u height_, Ncv32u pitch_=0)
| ~NCVMatrixAlloc ()
Ncv32u | getAllocatorsAlignment () const
NCVMemSegment | getSegment () const
NcvBool | isMemAllocated () const
Public Member Functions inherited from NCVMatrix< T >
| NCVMatrix ()
virtual | ~NCVMatrix ()
T & | at (Ncv32u x, Ncv32u y) const
void | clear ()
NCVStatus | copy2D (NCVMatrix< T > &dst, NcvSize32u roi, cudaStream_t cuStream) const
NCVStatus | copySolid (NCVMatrix< T > &dst, cudaStream_t cuStream, size_t howMuch=0) const
Ncv32u | height () const
NCVMemoryType | memType () const
Ncv32u | pitch () const
T * | ptr () const
NcvSize32u | size () const
Ncv32u | stride () const
Ncv32u | width () const

## Additional Inherited Members
Protected Attributes inherited from NCVMatrix< T >
Ncv32u | _height
NCVMemoryType | _memtype
Ncv32u | _pitch
T * | _ptr
Ncv32u | _width

## Detailed Description

### template<class T>
class NCVMatrixAlloc< T >

NCVMatrixAlloc

## Constructor & Destructor Documentation

## § NCVMatrixAlloc()

template<class T>

NCVMatrixAlloc< T >::NCVMatrixAlloc | ( | INCVMemAllocator & | allocator_,
|  | Ncv32u | width_,
|  | Ncv32u | height_,
|  | Ncv32u | pitch_ = `0`
| ) |  |
| inline

## § ~NCVMatrixAlloc()

template<class T>

NCVMatrixAlloc< T >::~NCVMatrixAlloc | ( |  | ) |
| inline

## Member Function Documentation

## § getAllocatorsAlignment()

template<class T>

Ncv32u NCVMatrixAlloc< T >::getAllocatorsAlignment | ( |  | ) | const
| inline

## § getSegment()

template<class T>

NCVMemSegment NCVMatrixAlloc< T >::getSegment | ( |  | ) | const
| inline

## § isMemAllocated()

template<class T>

NcvBool NCVMatrixAlloc< T >::isMemAllocated | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- cudalegacy/include/opencv2/cudalegacy/NCV.hpp